/*********************************************************************
 *
 *  A test script
 *
 *  Used for transimission line mesh
 *
 *********************************************************************/

lc = 1e-3; lc2 = 2;
h = 18; d = 22; a = 1.68e-2; l = 2*d; r = 0.45;
//*********************************************************************
Point(1) = {0, 0, 0, lc2};
Point(2) = {2*l, 0, 0, lc2};
Point(3) = {2*l, 2*h, 0, lc2};
Point(4) = {0, 2*h, 0, lc2};

Point(5) = {l - d/2 + r - a, h, 0, lc};
Point(6) = {l - d/2 + r, h, 0, lc};
Point(7) = {l - d/2 + r + a, h, 0, lc};
Point(8) = {l - d/2 + r/2 - a, h + Sqrt(3)*r/2, 0, lc};
Point(9) = {l - d/2 + r/2, h + Sqrt(3)*r/2, 0, lc};
Point(10) = {l - d/2 + r/2 + a, h + Sqrt(3)*r/2, 0, lc};
Point(11) = {l - d/2 - r/2 - a, h + Sqrt(3)*r/2, 0, lc};
Point(12) = {l - d/2 - r/2, h + Sqrt(3)*r/2, 0, lc};
Point(13) = {l - d/2 - r/2 + a, h + Sqrt(3)*r/2, 0, lc};
Point(14) = {l - d/2 - r - a, h, 0, lc};
Point(15) = {l - d/2 - r, h, 0, lc};
Point(16) = {l - d/2 - r + a, h, 0, lc};
Point(17) = {l - d/2 - r/2 - a, h - Sqrt(3)*r/2, 0, lc};
Point(18) = {l - d/2 - r/2, h - Sqrt(3)*r/2, 0, lc};
Point(19) = {l - d/2 - r/2 + a, h - Sqrt(3)*r/2, 0, lc};
Point(20) = {l - d/2 + r/2 - a, h - Sqrt(3)*r/2, 0, lc};
Point(21) = {l - d/2 + r/2, h - Sqrt(3)*r/2, 0, lc};
Point(22) = {l - d/2 + r/2 + a, h - Sqrt(3)*r/2, 0, lc};

Point(23) = {l + d/2 + r - a, h, 0, lc};
Point(24) = {l + d/2 + r, h, 0, lc};
Point(25) = {l + d/2 + r + a, h, 0, lc};
Point(26) = {l + d/2 + r/2 - a, h + Sqrt(3)*r/2, 0, lc};
Point(27) = {l + d/2 + r/2, h + Sqrt(3)*r/2, 0, lc};
Point(28) = {l + d/2 + r/2 + a, h + Sqrt(3)*r/2, 0, lc};
Point(29) = {l + d/2 - r/2 - a, h + Sqrt(3)*r/2, 0, lc};
Point(30) = {l + d/2 - r/2, h + Sqrt(3)*r/2, 0, lc};
Point(31) = {l + d/2 - r/2 + a, h + Sqrt(3)*r/2, 0, lc};
Point(32) = {l + d/2 - r - a, h, 0, lc};
Point(33) = {l + d/2 - r, h, 0, lc};
Point(34) = {l + d/2 - r + a, h, 0, lc};
Point(35) = {l + d/2 - r/2 - a, h - Sqrt(3)*r/2, 0, lc};
Point(36) = {l + d/2 - r/2, h - Sqrt(3)*r/2, 0, lc};
Point(37) = {l + d/2 - r/2 + a, h - Sqrt(3)*r/2, 0, lc};
Point(38) = {l + d/2 + r/2 - a, h - Sqrt(3)*r/2, 0, lc};
Point(39) = {l + d/2 + r/2, h - Sqrt(3)*r/2, 0, lc};
Point(40) = {l + d/2 + r/2 + a, h - Sqrt(3)*r/2, 0, lc};
//*********************************************************************


//*********************************************************************
Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Circle(5) = {5, 6, 7};
Circle(6) = {7, 6, 5};
Circle(7) = {8, 9, 10};
Circle(8) = {10, 9, 8};
Circle(9) = {11, 12, 13};
Circle(10) = {13, 12, 11};
Circle(11) = {14, 15, 16};
Circle(12) = {16, 15, 14};
Circle(13) = {17, 18, 19};
Circle(14) = {19, 18, 17};
Circle(15) = {20, 21, 22};
Circle(16) = {22, 21, 20};

Circle(17) = {23, 24, 25};
Circle(18) = {25, 24, 23};
Circle(19) = {26, 27, 28};
Circle(20) = {28, 27, 26};
Circle(21) = {29, 30, 31};
Circle(22) = {31, 30, 29};
Circle(23) = {32, 33, 34};
Circle(24) = {34, 33, 32};
Circle(25) = {35, 36, 37};
Circle(26) = {37, 36, 35};
Circle(27) = {38, 39, 40};
Circle(28) = {40, 39, 38};

Physical Line(10) = {1};
Physical Line(15) = {2, 3, 4};
Physical Line(20) = {5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16};
Physical Line(25) = {17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28};
//*********************************************************************

          
//*********************************************************************
Line Loop(1) = {1, 2, 3, 4};
Line Loop(2) = {5, 6}; Line Loop(3) = {7, 8}; Line Loop(4) = {9, 10};
Line Loop(5) = {11, 12}; Line Loop(6) = {13, 14}; Line Loop(7) = {15, 16};
Line Loop(8) = {17, 18}; Line Loop(9) = {19, 20}; Line Loop(10) = {21, 22};
Line Loop(11) = {23, 24}; Line Loop(12) = {25, 26}; Line Loop(13) = {27, 28};
//*********************************************************************

//*********************************************************************
Plane Surface(1) = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13};
//*********************************************************************

Physical Surface(1) = {1};